#!/usr/bin/env python
#
#############################################################################
##
## Copyright (C) 2018 The Qt Company Ltd.
## Contact: https://www.qt.io/licensing/
##
## This file is part of the test suite of Qt for Python.
##
## $QT_BEGIN_LICENSE:GPL-EXCEPT$
## Commercial License Usage
## Licensees holding valid commercial Qt licenses may use this file in
## accordance with the commercial license agreement provided with the
## Software or, alternatively, in accordance with the terms contained in
## a written agreement between you and The Qt Company. For licensing terms
## and conditions see https://www.qt.io/terms-conditions. For further
## information use the contact form at https://www.qt.io/contact-us.
##
## GNU General Public License Usage
## Alternatively, this file may be used under the terms of the GNU
## General Public License version 3 as published by the Free Software
## Foundation with exceptions as appearing in the file LICENSE.GPL3-EXCEPT
## included in the packaging of this file. Please review the following
## information to ensure the GNU General Public License requirements will
## be met: https://www.gnu.org/licenses/gpl-3.0.html.
##
## $QT_END_LICENSE$
##
#############################################################################

hasNumPy = False

try:
    import numpy
    hasNumPy = True
except ImportError:
    pass

import os
import sys
import unittest

from pathlib import Path
sys.path.append(os.fspath(Path(__file__).resolve().parents[1]))
from shiboken_paths import init_paths
init_paths()

from sample import IntArray2, IntArray3

class NonTypeTemplateTest(unittest.TestCase):

    def testNonTypeTemplate(self):
        array2 = IntArray2(3)
        self.assertEqual(array2.sum(), 6)
        array3 = IntArray3(5)
        self.assertEqual(array3.sum(), 15)

    def testArrayInitializer(self):
        if not hasNumPy:
            return
        array3 = IntArray3(numpy.array([1, 2, 3], dtype = 'int32'))
        self.assertEqual(array3.sum(), 6)


if __name__ == '__main__':
    unittest.main()
